##Box.com puppet module

Puppet Module to mount Box.com as network drive on Linux

###Limitation

* Currently only tested for CentOS/RedHat 5.x/6.x, Ubuntu 12.x (precise), Debian 7.x (wheezy), Fedora 18
* Only supported for single user only (root)

###How to use

Go to the puppet modules dir and clone the git repo

```linux
# cd /etc/puppet/modules

# git clone https://github.com/rikihg/rikih-box.git
Cloning into 'rikih-box'...
remote: Counting objects: 110, done.
remote: Compressing objects: 100% (93/93), done.
remote: Total 110 (delta 46), reused 35 (delta 9)
Receiving objects: 100% (110/110), 14.42 KiB | 0 bytes/s, done.
Resolving deltas: 100% (46/46), done.
Checking connectivity... done


# vim /etc/puppet/manifests/site.pp
```

Change the site.pp

```puppet
node "kiwi" {
        class {'box':
                mountpoint => "/mnt/box.com",
                user       => "user@domain.com",
                pass       => "password",
                mounted    => "true",
        }
}
```

Run puppet on the client and verify if directory is mounted
```linux
# puppet agent --test

# mount
/dev/vda1 on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
https://dav.box.com/dav on /mnt/box.com type davfs (rw,nosuid,noexec,nodev,_netdev)

```

### Help

Please log tickets and issues at our page https://github.com/rikihg/rikih-simple_jail_user/issues or contact me at rikih dot gunawan at gmail dot com

### Note

No responsibility for any damages relating to its use. Use at your own risk.
