# == Class: box
#
# This module use to mount box.com on Linux as drive
#
# === Parameters
#
# [*mounted*]
# to control if we want to mount/unmount the partition 
#
# [*user*]
# username of box.com account
#
# [*password*]
# password of box.com account
#
# [*mountpoint*]
# where to mount the box.com disk
#
# === Examples
#
#        class {'box':
#                mountpoint => "/mnt/box.com",
#                user       => "user@domain.com",
#                pass       => "password",
#                mounted    => "true",
#        }
#
# === Authors
#
# Rikih Gunawan <rikih dot gunawan at gmail.com>
#
# === Copyright
#
# Copyright 2014 Rikih Gunawan
#
class box ($use_locks="1",$user="NONE",$pass="NONE",$mountpoint="/mnt/box.com",$mounted="true") {

	case $operatingsystem {
      		# Note that these matches are case-insensitive.
		'redhat','fedora','centos': { include distro::redhat }
		'debian','ubuntu': { include distro::debian }
      		default: { fail("Unrecognized operating system ${operatingsystem}") }
    	}

}
